<template>
  <div class="paramModule">
    <div class="param-right">
      <div class="param-circle-wrapper" ref="paramCircle"></div>
    </div>
    <div class="param-left">
      <div class="title">{{ name }}</div>
      <div class="dataCon">{{ value }}{{ unit }}</div>
    </div>
  </div>
</template>

<script>
import ParamCircle from "../js/ParamCircle";

export default {
  props: {
    name: {
      type: String,
      default: "",
    },
    value: {
      type: Number,
      default: 0,
    },
    unit: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      paramCirle: "",
    };
  },
  methods: {
    resize() {
      this.$nextTick(() => {
        this.paramCirle.resize();
      });
    },
  },
  mounted() {
    this.paramCirle = new ParamCircle(this.$refs.paramCircle);
    window.addEventListener("resize", this.resize);
  },
  destroyed() {
    window.removeEventListener("resize", this.resize);
  },
};
</script>

<style scoped>
.paramModule * {
  box-sizing: border-box;
}

.paramModule {
  display: flex;
  justify-items: center;
  align-items: center;
}

.param-right {
  width: 110px;
  height: 110px;
  display: flex;
  justify-items: center;
  align-items: center;
  position: relative;
}

.param-circle-wrapper {
  width: 100%;
  height: 100%;
}

.param-left {
  width: 180px;
  height: 80px;
  background-color: #00fefe;
  border-radius: 0 30px 30px 0;
  border: 2px solid #fa884c;
  margin-left: -40px;
  padding-left: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.param-left .title {
  font-size: 14px;
  font-weight: bold;
  color: #00253f;
}

.param-left .dataCon {
  display: inline-block;
  min-width: 50px;
  font-size: 22px;
  text-align: center;
  color: #fa884c;
  padding: 4px 16px;
  background-color: #00253f;
  margin-top: 4px;
}
</style>
